Try and install opennx

I wanted to try opennx, and I found that I needed to install wxwidgets in a relatively new version. Opennx needs wx-config, where is that? That was one thing that’s missing on Ubuntu Feisty, and it took me some minutes to find out…

Opennx needs wx-config to ./configure properly. Obviously this program is in this package:

apt-get install libwxgtk2.8-dev

After that, libwxbase2.8-0, libwxbase2.8-dev, libwxgtk2.6-0, libwxgtk2.8-0, libwxgtk2.8-dev, wx2.8-headers and wx2.8-i18n were installed on my system and opennx configured and started compiling, but it stopped for a missing “libsmbclient.h“. Thus I installed libsmbclient-dev, and voila… I can test it.

Well, opennx looks good at first sight, and basically it seems to work, but at first try I did not have the right key and keyboard layout for the Nomachine Server I am using – the client came up with some error message here.

I’ll have a look at it again soon.

Opennx 0.14

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: